org.wildfly.swarm.config.undertow.servlet_container

## Class WebsocketsSetting<T extends WebsocketsSetting<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.servlet_container.WebsocketsSetting<T>

-     public class WebsocketsSetting<T extends WebsocketsSetting<T>>
      extends Object

  If websockets are enabled for this container

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebsocketsSetting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `bufferPool()` The buffer pool to use for websocket deployments
    `T` | `bufferPool(String value)` The buffer pool to use for websocket deployments
    `Integer` | `deflaterLevel()` Configures the level of compression of the DEFLATE algorithm
    `T` | `deflaterLevel(Integer value)` Configures the level of compression of the DEFLATE algorithm
    `Boolean` | `dispatchToWorker()` If callbacks should be dispatched to a worker thread.
    `T` | `dispatchToWorker(Boolean value)` If callbacks should be dispatched to a worker thread.
    `String` | `getKey()`
    `Boolean` | `perMessageDeflate()` Enables websocket's per-message compression extension, RFC-7692
    `T` | `perMessageDeflate(Boolean value)` Enables websocket's per-message compression extension, RFC-7692
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `worker()` The worker to use for websocket deployments
    `T` | `worker(String value)` The worker to use for websocket deployments

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebsocketsSetting

          public WebsocketsSetting()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### bufferPool

          public String bufferPool()

      The buffer pool to use for websocket deployments

    - #### bufferPool

          public T bufferPool(String value)

      The buffer pool to use for websocket deployments

    - #### deflaterLevel

          public Integer deflaterLevel()

      Configures the level of compression of the DEFLATE algorithm

    - #### deflaterLevel

          public T deflaterLevel(Integer value)

      Configures the level of compression of the DEFLATE algorithm

    - #### dispatchToWorker

          public Boolean dispatchToWorker()

      If callbacks should be dispatched to a worker thread. If this is false then they will be run in the IO thread, which is faster however care must be taken not to perform blocking operations.

    - #### dispatchToWorker

          public T dispatchToWorker(Boolean value)

      If callbacks should be dispatched to a worker thread. If this is false then they will be run in the IO thread, which is faster however care must be taken not to perform blocking operations.

    - #### perMessageDeflate

          public Boolean perMessageDeflate()

      Enables websocket's per-message compression extension, RFC-7692

    - #### perMessageDeflate

          public T perMessageDeflate(Boolean value)

      Enables websocket's per-message compression extension, RFC-7692

    - #### worker

          public String worker()

      The worker to use for websocket deployments

    - #### worker

          public T worker(String value)

      The worker to use for websocket deployments

Copyright © 2017 JBoss by Red Hat. All rights reserved.